import React  from 'react';
import { connect, history } from 'umi';
import { Button } from 'antd';
import { PageContainer } from '@ant-design/pro-layout';
import ProTable from '@ant-design/pro-table';
import request, { queryTable } from '@/utils/request';

const ReadedNum = () => {

  const columns = [
    {
      title: '科普名称',
      key: 'name',
      dataIndex: 'name',
    },
    {
      title: '阅读时长',
      key: 'name1',
      dataIndex: 'name1',
    },
    {
      title: '阅读进度',
      key: 'name2',
      dataIndex: 'name2',
    },
    {
      title: '最后时间',
      key: 'date',
      dataIndex: 'date',
      valueType: 'dateTime',
    },
  ];

  return (
    <PageContainer
      header={{
        extra: [
          <Button key="1" onClick={() => history.go('-1')}>
            返回
          </Button>,
        ],
      }}
    >
      <ProTable
        toolbar={{
          title:<div><span>姓名</span><span style={{marginLeft: '30vw'}}>阅读量</span></div>
        }}
        columns={columns}
        search={false}
        // request={queryTable('/statis/student-data')}
        rowKey="personId"
        options={false}
      />
    </PageContainer>
  );
};

export default ReadedNum
